/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TelcoEntity;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author matterbury
 */
@Entity
@Table(name = "SERVICE")
@NamedQueries({@NamedQuery(name = "Service.findBySvcno", query = "SELECT s FROM Service s WHERE s.svcno = :svcno"), @NamedQuery(name = "Service.findByStype", query = "SELECT s FROM Service s WHERE s.stype = :stype"), @NamedQuery(name = "Service.findByRate", query = "SELECT s FROM Service s WHERE s.rate = :rate")})
public class Service implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Column(name = "SVCNO", nullable = false)
    private String svcno;
    @Column(name = "STYPE")
    private Character stype;
    @Column(name = "RATE")
    private Short rate;
    @JoinColumn(name = "ACCNUM", referencedColumnName = "ACCNUM")
    @ManyToOne
    private Account accnum;

    public Service() {
    }

    public Service(String svcno) {
        this.svcno = svcno;
    }

    public String getSvcno() {
        return svcno;
    }

    public void setSvcno(String svcno) {
        this.svcno = svcno;
    }

    public Character getStype() {
        return stype;
    }

    public void setStype(Character stype) {
        this.stype = stype;
    }

    public Short getRate() {
        return rate;
    }

    public void setRate(Short rate) {
        this.rate = rate;
    }

    public Account getAccnum() {
        return accnum;
    }

    public void setAccnum(Account accnum) {
        this.accnum = accnum;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (svcno != null ? svcno.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Service)) {
            return false;
        }
        Service other = (Service) object;
        if ((this.svcno == null && other.svcno != null) || (this.svcno != null && !this.svcno.equals(other.svcno))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "TelcoEntity.Service[svcno=" + svcno + "]";
    }

}
