/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TelcoSession;

import TelcoEntity.Service;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author matterbury
 */
@Stateless
public class ServiceFacade implements ServiceFacadeRemote {
    @PersistenceContext
    private EntityManager em;

    public void create(Service service) {
        em.persist(service);
    }

    public void edit(Service service) {
        em.merge(service);
    }

    public void remove(Service service) {
        em.remove(em.merge(service));
    }

    public Service find(Object id) {
        return em.find(TelcoEntity.Service.class, id);
    }

    public List<Service> findAll() {
        return em.createQuery("select object(o) from Service as o").getResultList();
    }

}
