/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TelcoEntity;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author matterbury
 */
@Embeddable
public class AddressPK implements Serializable {
    @Column(name = "CNAME", nullable = false)
    private String cname;
    @Column(name = "LINE1", nullable = false)
    private String line1;

    public AddressPK() {
    }

    public AddressPK(String cname, String line1) {
        this.cname = cname;
        this.line1 = line1;
    }

    public String getCname() {
        return cname;
    }

    public void setCname(String cname) {
        this.cname = cname;
    }

    public String getLine1() {
        return line1;
    }

    public void setLine1(String line1) {
        this.line1 = line1;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (cname != null ? cname.hashCode() : 0);
        hash += (line1 != null ? line1.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof AddressPK)) {
            return false;
        }
        AddressPK other = (AddressPK) object;
        if ((this.cname == null && other.cname != null) || (this.cname != null && !this.cname.equals(other.cname))) {
            return false;
        }
        if ((this.line1 == null && other.line1 != null) || (this.line1 != null && !this.line1.equals(other.line1))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "TelcoEntity.AddressPK[cname=" + cname + ", line1=" + line1 + "]";
    }

}
