/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TelcoSession;

import TelcoEntity.Account;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author matterbury
 */
@Stateless
public class AccountFacade implements AccountFacadeRemote {
    @PersistenceContext
    private EntityManager em;

    public void create(Account account) {
        em.persist(account);
    }

    public void edit(Account account) {
        em.merge(account);
    }

    public void remove(Account account) {
        em.remove(em.merge(account));
    }

    public Account find(Object id) {
        return em.find(TelcoEntity.Account.class, id);
    }

    public List<Account> findAll() {
        return em.createQuery("select object(o) from Account as o").getResultList();
    }

}
