/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TelcoSession;

import TelcoEntity.Payment;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author matterbury
 */
@Stateless
public class PaymentFacade implements PaymentFacadeRemote {
    @PersistenceContext
    private EntityManager em;

    public void create(Payment payment) {
        em.persist(payment);
    }

    public void edit(Payment payment) {
        em.merge(payment);
    }

    public void remove(Payment payment) {
        em.remove(em.merge(payment));
    }

    public Payment find(Object id) {
        return em.find(TelcoEntity.Payment.class, id);
    }

    public List<Payment> findAll() {
        return em.createQuery("select object(o) from Payment as o").getResultList();
    }

}
